Bug 178945 - [NEW PORT] devel/commit-patch: Commit patches or partial workspace changes
Summary: [NEW PORT] devel/commit-patch: Commit patches or partial workspace changes
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Guido Falsi
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-05-24 12:20 UTC by Lapo Luchini
Modified: 2013-08-21 21:10 UTC (History)
1 user (show)

See Also:


Attachments
.shar (2.34 KB, text/plain)
2013-05-24 12:20 UTC, Lapo Luchini
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Lapo Luchini 2013-05-24 12:20:00 UTC
Normally version control systems don't allow fine grained commits. 
commit-patch allows the user to control exactly what gets committed by 
letting the user supply a patch to be committed rather than using the 
files in the current working directory.

commit-patch supports Darcs, Git, Mercurial, Bazaar, Subversion,
Monotone or CVS repositories.

Also included is an Emacs interface to commit-patch. It allows you to 
just hit C-c C-c in any patch buffer to apply and commit only the 
changes indicated by the patch, regardless of the changes in your 
working directory.

WWW: http://www.porkrind.org/commit-patch/

Generated with FreeBSD Port Tools 0.99_7 (mode: new)

PS: I don't use emacs myself, I only checked that the elisp module is installed in the same directory used by other ports.
PPS: also available on https://redports.org/browser/lapo/devel/commit-patch/?rev=12465
Comment 1 Guido Falsi freebsd_committer 2013-07-30 15:03:04 UTC
Responsible Changed
From-To: freebsd-ports-bugs->madpilot

I'll take it.
Comment 2 dfilter service freebsd_committer 2013-08-21 21:06:13 UTC
Author: madpilot
Date: Wed Aug 21 20:05:58 2013
New Revision: 325166
URL: http://svnweb.freebsd.org/changeset/ports/325166

Log:
  Normally version control systems don't allow fine grained commits.
  commit-patch allows the user to control exactly what gets committed by
  letting the user supply a patch to be committed rather than using the
  files in the current working directory.
  
  commit-patch supports Darcs, Git, Mercurial, Bazaar, Subversion,
  Monotone or CVS repositories.
  
  Also included is an Emacs interface to commit-patch. It allows you to
  just hit C-c C-c in any patch buffer to apply and commit only the
  changes indicated by the patch, regardless of the changes in your
  working directory.
  
  WWW: http://www.porkrind.org/commit-patch/
  
  PR:		ports/178945
  Submitted by:	Lapo Luchini <lapo@lapo.it>

Added:
  head/devel/commit-patch/
  head/devel/commit-patch/Makefile   (contents, props changed)
  head/devel/commit-patch/distinfo   (contents, props changed)
  head/devel/commit-patch/pkg-descr   (contents, props changed)
Modified:
  head/devel/Makefile

Modified: head/devel/Makefile
==============================================================================
--- head/devel/Makefile	Wed Aug 21 19:47:57 2013	(r325165)
+++ head/devel/Makefile	Wed Aug 21 20:05:58 2013	(r325166)
@@ -257,6 +257,7 @@
     SUBDIR += colorgcc
     SUBDIR += colormake
     SUBDIR += combat
+    SUBDIR += commit-patch
     SUBDIR += common_lib
     SUBDIR += commoncpp
     SUBDIR += compiler-rt

Added: head/devel/commit-patch/Makefile
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/devel/commit-patch/Makefile	Wed Aug 21 20:05:58 2013	(r325166)
@@ -0,0 +1,35 @@
+# Created by: Lapo Luchin <lapo@lapo.it>
+# $FreeBSD$
+
+PORTNAME=	commit-patch
+PORTVERSION=	2.5
+CATEGORIES=	devel
+
+MAINTAINER=	lapo@lapo.it
+COMMENT=	Commit patches or partial workspace changes to a VCS repository
+
+LICENSE=	GPLv2
+LICENSE_FILE=	${WRKSRC}/COPYING
+
+RUN_DEPENDS=	interdiff:${PORTSDIR}/misc/patchutils \
+		p5-IPC-Run>=0:${PORTSDIR}/devel/p5-IPC-Run
+
+USE_GITHUB=	yes
+USES=		gmake perl5
+USE_PERL5=	build # pod2man
+
+GH_ACCOUNT=	caldwell
+GH_PROJECT=	commit-patch
+GH_TAGNAME=	2.5
+GH_COMMIT=	fb3a8c5
+
+PLIST_FILES=	bin/commit-partial bin/commit-patch \
+		share/emacs/site-lisp/commit-patch-buffer.el
+MAN1=		commit-partial.1 commit-patch.1
+PORTDOCS=	*
+
+post-patch:
+		${REINPLACE_CMD} -e 's/share[/]man/man/' \
+			-e 's/PREFIX=/PREFIX?=/' ${WRKSRC}/Makefile
+
+.include <bsd.port.mk>

Added: head/devel/commit-patch/distinfo
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/devel/commit-patch/distinfo	Wed Aug 21 20:05:58 2013	(r325166)
@@ -0,0 +1,2 @@
+SHA256 (commit-patch-2.5.tar.gz) = e4cdf5895f1fd45191ea5ebcc3857d560e9f994450e2725f771b3cfe8aa8ae68
+SIZE (commit-patch-2.5.tar.gz) = 17786

Added: head/devel/commit-patch/pkg-descr
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/devel/commit-patch/pkg-descr	Wed Aug 21 20:05:58 2013	(r325166)
@@ -0,0 +1,14 @@
+Normally version control systems don't allow fine grained commits. 
+commit-patch allows the user to control exactly what gets committed by 
+letting the user supply a patch to be committed rather than using the 
+files in the current working directory.
+
+commit-patch supports Darcs, Git, Mercurial, Bazaar, Subversion,
+Monotone or CVS repositories.
+
+Also included is an Emacs interface to commit-patch. It allows you to 
+just hit C-c C-c in any patch buffer to apply and commit only the 
+changes indicated by the patch, regardless of the changes in your 
+working directory.
+
+WWW: http://www.porkrind.org/commit-patch/
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Guido Falsi freebsd_committer 2013-08-21 21:06:16 UTC
State Changed
From-To: open->closed

New port added, with minor changes. Thanks!